FROM php:7.3.11-fpm-alpine

RUN apk update \
&& apk add --no-cache $PHPIZE_DEPS \
bash \
rsyslog \
postgresql-dev \
libgcc libstdc++ libx11 glib libxrender libxext libintl \
libpng libpng-dev libzip libzip-dev rabbitmq-c-dev \
curl curl-dev \
zip

RUN docker-php-ext-install pdo_pgsql pgsql opcache gd curl zip
RUN apk del libpng-dev

RUN pecl install -of redis && rm -rf /tmp/pear \
&& docker-php-ext-enable redis

RUN pecl install amqp \
&& docker-php-ext-enable amqp

RUN adduser -D -u 1000 docker && echo "docker:docker" | chpasswd

RUN curl --insecure https://getcomposer.org/composer.phar -o /usr/bin/composer && chmod +x /usr/bin/composer

# Set timezone
ENV TIMEZONE='Europe/Warsaw'
RUN ln -s /usr/share/zoneinfo/$TIMEZONE /etc/localtime && echo $TIMEZONE > /etc/timezone
RUN "date"

CMD crond -b && rsyslogd && php-fpm
